powstatd_1.5.1-9.1_amd64.deb


Advertisement

Description

powstatd - Configurable UPS monitoring daemon

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: powstatd
Package version: 1.5.1
Package release: 9.1
Package architecture: amd64
Package type: deb
Installed size: 114 B
Download size: 42.61 KB
Official Mirror: archive.ubuntu.com
Assuming you have a relay-based "dumb" UPS that corresponds with your machine via a serial connection, you should be able to configure powstatd in just a few minutes. It is easily configured, and can be expected to support most "dumb" UPS supplies. UPS models known to work: CyberPower PowerSL series CyberPower Power2000 1500VA CyberPower Power99 325VA, 400VA, 500VA and 720VA Some older CyberPower 385VA and 450VA models TrippLite Internet Office 500 UPS Various older APC units. Powstatd can also be configured to allow a master machine to control (Via a network connection) up to 20 (by default) additional slave machines connected to the same UPS. This allows you to run several machines off the same UPS, with only one of the machines actually reading the UPS status over the serial line. This version of powstatd uses secure cryptography to communicate between master and slave(s), replacing the older powstatd-crypt Debian package.

Alternatives

Provides

  • powstatd-crypt
  • ups-monitor

Conflicts

  • powstatd-crypt << 1.5.1-3
  • ups-monitor

Replaces

  • powstatd-crypt << 1.5.1-3

    Download

    Source package: powstatd

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install powstatd deb package:
      # sudo apt-get install powstatd

    Files

    • /etc/powstatd.conf
    • /etc/init.d/powerfail
    • /etc/init.d/powstatd
    • /etc/init.d/ups-monitor
    • /sbin/powstatd
    • /usr/share/doc/powstatd/README.Debian
    • /usr/share/doc/powstatd/ReadMe
    • /usr/share/doc/powstatd/changelog.Debian.gz
    • /usr/share/doc/powstatd/copyright
    • /usr/share/doc/powstatd/powstatd.conf.apc
    • /usr/share/doc/powstatd/powstatd.conf.cps
    • /usr/share/doc/powstatd/powstatd.conf.master
    • /usr/share/doc/powstatd/powstatd.conf.slave
    • /usr/share/doc/powstatd/powstatd.conf.tpl
    • /usr/share/doc/powstatd/powstatd.ps.gz
    • /usr/share/man/man8/powstatd.8.gz

    Changelog

    2012-01-08 - Christian Perrier <bubulle@debian.org> powstatd (1.5.1-9.1) unstable; urgency=low * Non-maintainer upload. * Add build-arch and build-indep build rules * Fix pending l10n issues. Debconf translations: - Spanish (Omar Campagne). Closes: #602015

    2010-10-13 - Peter S Galbraith <psg@debian.org> powstatd (1.5.1-9) unstable; urgency=low * Debconf translations: - Danish, thanks to Joe Dalton (Closes: #600027).

    2010-10-12 - Peter S Galbraith <psg@debian.org> powstatd (1.5.1-8) unstable; urgency=low * Debconf translations: - Spanish, thanks to Omar Campagne (Closes: #579717).

    2009-12-03 - Peter S Galbraith <psg@debian.org> powstatd (1.5.1-7) unstable; urgency=low * Debconf translations: - Japanese, thanks to Hideki Yamane (Debian-JP) (Closes: #559381). * Bump Standards-Version to 3.8.3, debhelper 7

    2008-10-24 - Christian Perrier <bubulle@debian.org> powstatd (1.5.1-6.1) unstable; urgency=low * Non-maintainer upload. * Fix pending l10n issues. Debconf translations: - Swedish. Closes: #487600 - Russian. Closes: #502891 - Basque. Closes: #503059 - Italian. Closes: #487600

    2008-04-26 - Peter S Galbraith <psg@debian.org> powstatd (1.5.1-6) unstable; urgency=low * Bug fix: powstatd-crypt transitional package removed, thanks to Ondrej Certik (Closes: #477535). * Debconf translations: - Portuguese from raduz - Portuguese Translation Team (Closes: #432774). - Dutch, thanks to cobaco (aka Bart Cornelis) (Closes: #448931).

    2007-01-28 - Christian Perrier <bubulle@debian.org> powstatd (1.5.1-5.1) unstable; urgency=low * Non-maintainer upload to fix pending l10n issues. * Debconf translations: - Czech added. Closes: #358846 - German added. Closes: #402955 * Call debconf-updatepo in the clean target to guarantee up-to-date PO(T) files * Add a very basic LSB header to the powstatd init script (other init script do not have it as they're not registered as such and I don't want to investigate why during a NMU)

    2006-02-17 - Peter S Galbraith <psg@debian.org> powstatd (1.5.1-5) unstable; urgency=low * Added French debconf templates translation". Thanks to Sylvain Archenault (Closes: #353140).

    2006-02-04 - Peter S Galbraith <psg@debian.org> powstatd (1.5.1-4) unstable; urgency=low * Bug fix: "powstatd: Please switch to gettext-based debconf templates", thanks to Thomas Huriaux (Closes: #351389). I followed the directives in po-debconf(7) as suggested by Thomas.

    2004-04-03 - Peter S Galbraith <psg@debian.org> powstatd (1.5.1-3) unstable; urgency=low * Enable cryptographic communication between master and slave. This package now replaces powstatd-crypt (Closes: #239963). Those who use this package with slaves now need to edit /etc/powstatd.conf and add a common password directive. See powstatd(8). * Bug fix: Increase the number of possible slaves from 2 to 20, thanks to Christoph Martin (Closes: #232271). * Bump Standards-Version to 3.6.2

    Advertisement
    Advertisement